/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023                  ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#include "QtAccessManager.h"
using ::QNetworkAccessManager;
using drn::network::AccessManager;
using drn::network::QtAccessManager;

#include <QNetworkReply>
using ::QNetworkReply;
#include <QNetworkRequest>
using ::QNetworkRequest;

#include <foundation/QtMemory.hpp>
using drn::foundation::UniqueQtPtr;


UniqueQtPtr<QNetworkReply> QtAccessManager::send(const QNetworkRequest& request)
{
	auto reply{QNetworkAccessManager::get(request)};
	reply->setParent(nullptr); // Can't have a parent freeing the memory too.
	return UniqueQtPtr<QNetworkReply>{reply};
}
